import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts

Item {
    id: settingsPage

    ColumnLayout {
        anchors.fill: parent

        Item {
            id: item2
            Layout.preferredWidth: 10
            Layout.preferredHeight: 10
            Layout.fillWidth: true
            Layout.fillHeight: true
        }

        ColumnLayout {
            id: column2
            Layout.fillWidth: true

            CheckBox {
                id: checkBox
                text: qsTr("Update user projects in the backgroud")
                font.pointSize: 15
                onCheckStateChanged: backend.updateInBackground(checkState)
            }

            Text{
                leftPadding: 45
                text: qsTr("Checks new projects in each 10 seconds")
                font.pointSize: 12
            }

//            CheckBox {
//                id: checkBox2
//                text: qsTr("Cache user projects")
//                font.pointSize: 15
//                onCheckStateChanged: backend.cacheUserProjects(checkState)
//            }

//            Text{
//                leftPadding: 45
//                text: qsTr("Downloads the user projects each time if disabled")
//                font.pointSize: 12
//            }

//            CheckBox {
//                id: checkBox3
//                text: qsTr("Cache demo projects")
//                font.pointSize: 15
//                onCheckStateChanged: backend.cacheDemoProjects(checkState)
//            }

//            Text{
//                leftPadding: 45
//                text: qsTr("Downloads the demo projects each time if disabled")
//                font.pointSize: 12
//            }
        }

        Item {
            id: item3
            Layout.fillHeight: true
            Layout.fillWidth: true
            Layout.preferredHeight: 10
            Layout.preferredWidth: 10
        }

//        Button {
//            id: downloadButton
//            text: qsTr("Save")
//            onClicked: backend.saveSettings(checkBox.checked)
//            Layout.fillWidth: true
//            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
//        }
    }
}
